.header-mobile {
    display: none;
    background-color: #2F202D;
    border-bottom: #594D57 solid 1px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    -webkit-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
    transition: all 0.2s ease;
    -webkit-box-shadow: 0 1px 5px 0 rgb(0 0 0 / 12%);
    box-shadow: 0 1px 5px 0 rgb(0 0 0 / 12%);
    color: white;
    max-height: 68px;
    height: 100%;

    @media screen and (max-width: 1199px) {
        display: block;
    }
}

.header-nav-mobile {
    display: flex;
    align-items: center;
    height: 100%;
    padding: 0 16px;
    max-width: 1920px !important;
    margin: 0 auto !important;
    position: unset !important;
    top: unset !important;
    left: unset !important;
    width: unset !important;
    padding-top: unset !important;
    z-index: unset !important;
    box-shadow: unset !important;
    -webkit-box-shadow: unset !important;
}

.mobile-nav__controls {
    margin-left: auto;
}

.ham-icon {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.ham-icon span {
    display: block;
    background-color: #FFFFFF;
    width: 30px;
    height: 2px;
    transition: 400ms;
}

.ham-icon.active span:nth-child(1) {
    transform: translate(0, 8px) rotate(-45deg);
}
.ham-icon.active span:nth-child(2) {
    opacity: 0;
}
.ham-icon.active span:nth-child(3) {
    transform: translate(0, -8px) rotate(45deg);
}

.mobile-menu-panel {
    display: none;
    position: fixed;
    top: 68px;
    left: 0;
    width: 100%;
    background-color: #2F202D;
    z-index: 998;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
    height: calc(100vh - 68px);
    overflow-y: auto;
}

.mobile-menu-panel.active {
    display: flex;
}

.mobile-control {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    text-decoration: none !important;
    color: white !important;
    outline: none !important;
    border-bottom: 1px solid #594D57;
    padding: 16px 0;
}

.mobile-menu-panel__bottom {
    margin-top: auto;
    margin-bottom: 148px;
    padding-top: 24px;
}

.new-header-mobile-big-button {
    background-color: #D4A773;
    padding: 12px 24px;
    text-decoration: none !important;
    text-align: center;
    color: #2F202D !important;
    width: 100%;
    border-radius: 8px;
    display: block;
}

.mobile-header-client-zone-button {
    margin-top: 24px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    outline: none !important;
    width: 100%;
    gap: 14px;
    color: white;
}

.mobile-submenu {
    display: none;
    background-color: white;
    position: fixed;
    top: 68px;
    left: 0;
    width: 100%;
    z-index: 998;
    flex-direction: column;
    gap: 16px;
    height: calc(100vh - 68px);
    overflow-y: auto;
}

.mobile-submenu__inner {
    padding: 16px;
}

.mobile-submenu.active {
    display: block;
}

.mobile-submenu__header {
    display: flex;
    flex-direction: row;
    align-items: center;

    background-color: #594D57;
    padding: 16px;
    color: white;
    border-bottom: 1px solid #594D57;
}

.mobile-submenu__element {
    display: block;
    color: #2F202D !important;
    border-bottom: 1px solid #E4E7EC;
    padding: 16px 0;
}

.mobile-client-zone {
    display: none;
    background-color: white;
    color: #101828;
    position: fixed;
    left: 0;
    top: 68px;
    height: 100%;
    width: 100%;
}

.mobile-client-zone.active {
    display: block;
}
